Loading...
Searching...
No Matches
osmo_i460_subchan_demux Struct Reference

`#include <i460_mux.h>`

## Data Fields

uint8_t * | out_bitbuf
| bit-buffer for output bits
unsigned int | out_bitbuf_size
| size of out_bitbuf in bytes
unsigned int | out_idx
| offset of next bit to be written in out_bitbuf
out_cb_bits_t | out_cb_bits
| callback to be called once we have received out_bitbuf_size bits
out_cb_bytes_t | out_cb_bytes
void * | user_data

## Field Documentation

## out_bitbuf

uint8_t* osmo_i460_subchan_demux::out_bitbuf

bit-buffer for output bits

Referenced by alloc_bitbuf(), demux_subchan_append_bit(), and subchan_reset().

## out_bitbuf_size

unsigned int osmo_i460_subchan_demux::out_bitbuf_size

size of out_bitbuf in bytes

Referenced by alloc_bitbuf(), and demux_subchan_append_bit().

## out_cb_bits

out_cb_bits_t osmo_i460_subchan_demux::out_cb_bits

callback to be called once we have received out_bitbuf_size bits

Referenced by demux_subchan_append_bit(), osmo_i460_demux_in(), and osmo_i460_subchan_add().

## out_cb_bytes

out_cb_bytes_t osmo_i460_subchan_demux::out_cb_bytes

Referenced by demux_subchan_append_bit(), osmo_i460_demux_in(), and osmo_i460_subchan_add().

## out_idx

unsigned int osmo_i460_subchan_demux::out_idx

offset of next bit to be written in out_bitbuf

Referenced by demux_subchan_append_bit().

## user_data

void* osmo_i460_subchan_demux::user_data

Referenced by demux_subchan_append_bit(), osmo_i460_demux_in(), and osmo_i460_subchan_add().

The documentation for this struct was generated from the following file:

- include/osmocom/isdn/i460_mux.h